/*
Скрипт  удаляет радио, добавленное скриптом addRadio.
Фактичести копирует файлы *.mib  в *.mis, затем файлы mib удаляются
*/

var nFiles = 0					//счетчик обработанных файлов

var FSO = new ActiveXObject("Scripting.FileSystemObject");

main()

function main() {
	var args = WScript.Arguments;


	var WS = WScript.CreateObject("WScript.Shell"),
		Directory = WS.CurrentDirectory,
		main_folder_path

	if (args.length == 0)
		main_folder_path = Directory
	else
		main_folder_path = args.item(0)
	
	if (main_folder_path.charAt(0) == "?") {
		WScript.Echo("Восстановлени файлов mis из mib")
		return
	}
	
	EnumerateFiles(FSO.GetFolder(main_folder_path))
	WScript.Echo('Обработано файлов ',nFiles);
}


// ================================================================
function EnumerateFiles(_folder){
    var more_files = new Enumerator(_folder.Files);
    for (;!more_files.atEnd();more_files.moveNext()){
        one_file = more_files.item();
		if (one_file.Path.indexOf(".mib") > 0) 
			restoreRadio(one_file.Path)
    }
}

//восстановить файл mis из mib
function restoreRadio(fil){
	try {
		FSO.CopyFile(fil,fil.replace(/\.mib$/,'.mis'))		//восстановим резервную копию
		FSO.DeleteFile(fil)					//удалим mib после успешного восстановления
		WScript.Echo('Восстновлен файл '+fil);
		nFiles += 1
	}catch(e){
		if (e != 0){
			WScript.Echo('Ошибка восстановления файла '+fil);
		}
	}
}
